<div class="perfil">
    <div class="back">
        <a routerLink="/home"><i class="fas fa-arrow-left"></i></a>
        <h3 class="title-3">Projetos para avaliação como parecerista externo</h3>
    </div>
    <div class="">

        <!-- <div cdkDropList class="drag-drop-list order-block" (cdkDropListDropped)="drop($event)">
            <div class="drag-drop-box" *ngFor="let projeto of lstProjetos; let i = index" cdkDrag>{{ projeto.Projeto }}</div>
        </div> -->

        <div class="ranking table-responsive-md">
            <table class="table table-striped ranking-list">
                <thead class="thead-blue">
                    <tr>
                        <th scope="col">Protocolo</th>
                        <th scope="col">Projeto</th>
                        <th scope="col">Curso</th>
                        <th scope="col">Turma</th>
                        <th scope="col">Campus</th>
                        <th scope="col">Informações Projeto</th>
                        <th scope="col">Situção</th>
                        <th scope="col">Média Projeto</th>
                    </tr>
                </thead>
                <tbody cdkDropList class="drag-drop-list table-list" (cdkDropListDropped)="drop($event)" style="cursor:pointer;">

                    <tr *ngFor="let projeto of lstProjetos" cdkDrag>
                        <td>{{projeto?.Protocolo}}</td>
                        <td>
                            <!-- <a href="#" data-toggle="modal" data-target="#projeto-pesquisa" (click)="carregarResumo( projeto?.Curso )"><i class="fas fa-clipboard-list"></i></a> -->
                            {{projeto?.Projeto}}
                        </td>
                        <td>{{projeto?.Curso}}</td>
                        <td>{{projeto?.Turma}}</td>
                        <td>{{projeto?.Campus}}</td>
                        <td class="text-center">
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#resumo-projeto"
                                (click)="carregarDetalhe( projeto )"><i class="fas fa-clipboard-list"></i></a>
                        </td>
                        <td>{{projeto?.Situacao}}</td>
                        <td class="media">{{projeto?.Media | number:'1.2-2' }}</td>
                    </tr>

                </tbody>
            </table>

            <div [hidden]="!existeProjeto" class="mb-3">
                <div class="text-center">
					<button class="btn-link btn btn-primary btn-navigate btn-prev btn-lg btn-block" (click)="classificarProjetos()">Enviar Classificação</button>
				</div>
            </div>

            <!-- Modal resumo projeto -->
            <div class="modal fade" id="resumo-projeto" tabindex="-1" role="dialog" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="drag-dropModalLongTitle">Informações Projeto</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <div class="modal-body">
                            <div class="">
                                <div class="card" id="projetoxxx">
                                    <div class="card-header">
                                        <h5>
                                            Projeto <span id="nome-projeto">{{detalhe?.Projeto}}</span>
                                        </h5>
                                    </div>
                                    <div class="card-body">
                                        <div class="card-text">
                                           <p>Protocolo: <span id="protocolo">{{detalhe?.Protocolo}}</span>  &nbsp;<a
                                                    routerLink="/lista-projetos/{{detalhe?.Protocolo}}" data-dismiss="modal"><i
                                                        class="fas fa-search-plus"></i></a></p>
                                            <br>
                                            <p>Ensino: <span id="numero-funcional">{{detalhe?.TipoAluno}}</span></p>
                                            <p>Situação: <span id="situacao">{{detalhe?.Situacao}}</span></p>
                                            <hr class="mb-4">
                                            <div class="group-info group-aluno">
                                                <p>Nome: <span id="nome-aluno">{{detalhe?.Aluno}}</span></p>
                                                <p>Email: <span id="email-aluno">{{detalhe?.Email}}</span></p>
                                                <p>Curso: <span id="numero-funcional">{{detalhe?.Curso}}</span></p>
                                                <p>Turma: <span id="numero-funcional">{{detalhe?.Turma}}</span></p>
                                                <p>Campus: <span id="numero-funcional">{{detalhe?.Campus}}</span></p>
                                                <p>RA: <span id="numero-funcional">{{detalhe?.Ra}}</span></p>
                                                <p>Submissão: <span
                                                        id="data-submissao">{{detalhe?.DataSubmissao | myDate | date:"dd/MM/yyyy"}}</span>
                                                </p>
                                            </div>
                                            <hr class="mb-4">
                                            <div class="group-info group-orientador">
                                                <p>Orientador(a): <span
                                                        id="nome-orientador">{{detalhe?.Orientador}}</span></p>
                                                <p>Email: <span>{{detalhe?.EmailOrientador}}</span></p>
                                            </div>
                                            <hr class="mb-4">
                                            <div class="group-info group-parecerista">
                                                <p>Parecerista Interno(a): <span
                                                        id="nome-parecerista">{{pareceristaInterno?.Nome}}</span></p>
                                                <p>Email: <span>{{pareceristaInterno?.Email}}</span></p>
                                            </div>
                                        </div>
                                        <hr class="mb-4">
                                        <div class="group-button-card btn-group">
                                            <button [hidden]="historicoCarregado" class="btn btn-primary" type="button"
                                                disabled>
                                                <span class="spinner-grow spinner-grow-sm" role="status"
                                                    aria-hidden="true"></span>
                                                &nbsp; Carregando histórico...
                                            </button>

                                            <fieldset [disabled]="bloqueioHistorico">
                                                <div [hidden]="!historicoCarregado">
                                                    <a href="{{ aluno?.Historico }}" target="_blank"
                                                        class="btn btn-primary">
                                                        <i class="fas fa-file-download"></i>
                                                        Histórico escolar
                                                    </a>
                                                </div>
                                            </fieldset>


                                            <a href="{{ baseUrl }}ProjetoPesquisa/RetornaPdf?ra={{ detalhe?.Ra }}"
                                                class="btn btn-primary">
                                                <i class="fas fa-file-download"></i>
                                                Baixar PDF
                                            </a>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>